function nuevo() {
    $('#fotografia').val('');
    $('#lblTitulo').html('Configurar Fotografía');
    $('#formFotografia')[0].reset();
    $('#mantenimiento').modal('show');
}
function certificado() {
    window.open('../Carnet/carnet.php', '_blank');
}

const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');
const image = new Image();
const imageqr = new Image();
const foto = new Image();
image.src = '../../public/certificado.jpeg';

function cargarfondo(x) {
    foto.onload = function () {
        ctx.drawImage(foto, 20, 220, 210, 260);
    }
    imageqr.onload = function () {
        ctx.drawImage(imageqr, 250, 510, 150, 150);
    }
    ctx.globalCompositeOperation="destination-over";
}

$(document).ready(function () {
    
    var x = canvas.width / 2;
    cargarfondo(x);
    ctx.globalCompositeOperation = "destination-over";
    ctx.font = '20px Arial';
    ctx.textAlign = "center";
    ctx.textBaseline = 'middle';
        
    var nombres = document.getElementById("nombres").value;
    var apellidos = document.getElementById("apellidos").value;
    var identificacion = document.getElementById("identificacion").value;
    var foto_carnet = document.getElementById("foto").value;
    var periodo = document.getElementById("periodo").value;
    var perfil = document.getElementById("perfil").value;
    var usr = document.getElementById("usr").value;
    imageqr.src='../../public/qr/'+usr+'.png';
    ctx.fillStyle = '#1b4f72';
    ctx.fillText("NOMBRES", x+110, 240);
    ctx.fillStyle = 'black';
    ctx.fillText(nombres, x+110, 270);
    ctx.fillText(apellidos, x+110, 300);
    ctx.fillStyle = '#1b4f72';
    ctx.fillText('IDENTIFICACIÓN', x+110, 350);
    ctx.fillStyle = 'black';
    ctx.fillText(identificacion, x+110, 380);
    ctx.fillStyle = '#1b4f72';
    ctx.fillText("PERIODO ACADÉMICO", x+110, 440);
    ctx.fillStyle = 'black';
    ctx.fillText(periodo, x+110, 470);
    ctx.font = '45px Arial';
    ctx.fillStyle = 'black';
    ctx.fillText(perfil,x,700)
    foto.src = foto_carnet;    

});

$(document).on("click", "#btnpng", function () {
    let lblpng = document.createElement('a');
    lblpng.download = "Certificado.png";
    lblpng.href = canvas.toDataURL();
    lblpng.click();
});

$(document).on("click", "#btnpdf", function () {
    var imgData = canvas.toDataURL('image/png');
    var doc = new jsPDF('l', 'mm');
    doc.addImage(imgData, 'PNG', 30, 15);
    doc.save('Certificado.pdf');
});

$(document).on("click", "#generar", function () {
    location.reload(true);
});

